## ----setup, include=FALSE--------------------------------------------------
knitr::opts_chunk$set(echo = TRUE)

## --------------------------------------------------------------------------
suppressPackageStartupMessages(library(HDCytoData))

# Load 'SummarizedExperiment' object using named function
Bodenmiller_BCR_XL_SE()

# Load 'flowSet' object using named function
Bodenmiller_BCR_XL_flowSet()

## --------------------------------------------------------------------------
# Create an ExperimentHub instance
ehub <- ExperimentHub()

# Query ExperimentHub instance to find datasets
query(ehub, "HDCytoData")

# Load 'SummarizedExperiment' object using index of dataset
#ehub[["EH2254"]]

# Load 'flowSet' object using index of dataset
#ehub[["EH2255"]]

## --------------------------------------------------------------------------
# Load dataset in 'SummarizedExperiment' format
d_SE <- Bodenmiller_BCR_XL_SE()

# Inspect the object
d_SE
assay(d_SE)[1:6, 1:6]
rowData(d_SE)
colData(d_SE)

